const {
    Menu,
    ipcMain,
    BrowserWindow,
    dialog
} = require('electron');
import store from "../../renderer/store"
import {
    fstat
} from "fs";
import action from "./action"
//右键菜单
const contextMenuTemplate = [{
        label: '保存',
        accelerator: 'CmdOrCtrl+S',
        click: () => {
            action.save();

        }
    }, {
        label: '另存为',
        accelerator: 'CmdOrCtrl+E',

        click: () => {
            action.saveAs();
        }
    },
    {
        label: '选择文档',
        accelerator: 'CmdOrCtrl+O',
        click: () => {
            action.open();
        }
    },
    {
        label: '复制',
        accelerator: 'CmdOrCtrl+C',
        click: () => {
            action.copy();
        }
    },
    {
        type: 'separator'
    }, //分隔线
    {
        label: '选择配置文件',
        accelerator: 'CmdOrCtrl+D',

        click: () => {
            action.openSetting();
        }
    }
];

const contextMenu = Menu.buildFromTemplate(contextMenuTemplate);


ipcMain.on('contextmenu', function () {

    contextMenu.popup(BrowserWindow.getFocusedWindow());

})
